mirror of the now-defunct rocklinux.org
You can not select more than 25 topics Topics must start with a letter or number, can include dashes ('-') and can be up to 35 characters long.

160 lines
4.9 KiB

  1. Adds check for faac library, on which ffmpeg-0.4.9-pre1 may depend;
  2. recreating configure with autoconf fails because
  3. S2C_{PATH,LOAD}_{TCL,TK}CONFIG are not defined.
  4. allows libavcodec versions greater than 0.4.8, and tcl/tk versions
  5. greater than 8.4 (e.g. 8.4.9).
  6. diff -dur avview-0.80.7/configure src.avview.1137267026.31409.4073770048/avview-0.80.7/configure
  7. --- avview-0.80.7/configure 2005-11-12 14:26:14.000000000 +0100
  8. +++ src.avview.1137267026.31409.4073770048/avview-0.80.7/configure 2006-01-14 21:19:51.000000000 +0100
  9. @@ -6989,7 +6989,7 @@
  10. fi
  11. -echo "The libraries mp3lame, ogg, vorbis and vorbisenc might be required by ffmpeg"
  12. +echo "The libraries faac, mp3lame, ogg, vorbis and vorbisenc might be required by ffmpeg"
  13. echo "$as_me:$LINENO: checking for lame_encode_buffer in -lmp3lame" >&5
  14. echo $ECHO_N "checking for lame_encode_buffer in -lmp3lame... $ECHO_C" >&6
  15. @@ -7283,6 +7283,80 @@
  16. fi
  17. +echo "$as_me:$LINENO: checking for faacEncOpen in -lfaac" >&5
  18. +echo $ECHO_N "checking for faacEncOpen in -lfaac... $ECHO_C" >&6
  19. +if test "${ac_cv_lib_faac_faacEncOpen+set}" = set; then
  20. + echo $ECHO_N "(cached) $ECHO_C" >&6
  21. +else
  22. + ac_check_lib_save_LIBS=$LIBS
  23. +LIBS="-lfaac $LIBS"
  24. +cat >conftest.$ac_ext <<_ACEOF
  25. +/* confdefs.h. */
  26. +_ACEOF
  27. +cat confdefs.h >>conftest.$ac_ext
  28. +cat >>conftest.$ac_ext <<_ACEOF
  29. +/* end confdefs.h. */
  30. +
  31. +/* Override any gcc2 internal prototype to avoid an error. */
  32. +#ifdef __cplusplus
  33. +extern "C"
  34. +#endif
  35. +/* We use char because int might match the return type of a gcc2
  36. + builtin and then its argument prototype would still apply. */
  37. +char faacEncOpen ();
  38. +int
  39. +main ()
  40. +{
  41. +faacEncOpen ();
  42. + ;
  43. + return 0;
  44. +}
  45. +_ACEOF
  46. +rm -f conftest.$ac_objext conftest$ac_exeext
  47. +if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
  48. + (eval $ac_link) 2>conftest.er1
  49. + ac_status=$?
  50. + grep -v '^ *+' conftest.er1 >conftest.err
  51. + rm -f conftest.er1
  52. + cat conftest.err >&5
  53. + echo "$as_me:$LINENO: \$? = $ac_status" >&5
  54. + (exit $ac_status); } &&
  55. + { ac_try='test -z "$ac_c_werror_flag"
  56. + || test ! -s conftest.err'
  57. + { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
  58. + (eval $ac_try) 2>&5
  59. + ac_status=$?
  60. + echo "$as_me:$LINENO: \$? = $ac_status" >&5
  61. + (exit $ac_status); }; } &&
  62. + { ac_try='test -s conftest$ac_exeext'
  63. + { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
  64. + (eval $ac_try) 2>&5
  65. + ac_status=$?
  66. + echo "$as_me:$LINENO: \$? = $ac_status" >&5
  67. + (exit $ac_status); }; }; then
  68. + ac_cv_lib_faac_faacEncOpen=yes
  69. +else
  70. + echo "$as_me: failed program was:" >&5
  71. +sed 's/^/| /' conftest.$ac_ext >&5
  72. +
  73. +ac_cv_lib_faac_faacEncOpen=no
  74. +fi
  75. +rm -f conftest.err conftest.$ac_objext \
  76. + conftest$ac_exeext conftest.$ac_ext
  77. +LIBS=$ac_check_lib_save_LIBS
  78. +fi
  79. +echo "$as_me:$LINENO: result: $ac_cv_lib_faac_faacEncOpen" >&5
  80. +echo "${ECHO_T}$ac_cv_lib_faac_faacEncOpen" >&6
  81. +if test $ac_cv_lib_faac_faacEncOpen = yes; then
  82. + cat >>confdefs.h <<_ACEOF
  83. +#define HAVE_LIBFAAC 1
  84. +_ACEOF
  85. +
  86. + LIBS="-lfaac $LIBS"
  87. +
  88. +fi
  89. +
  90. +
  91. #
  92. #
  93. # Default values
  94. @@ -8310,11 +8384,7 @@
  95. #include "avcodec.h"
  96. #include "avformat.h"
  97. - #if LIBAVCODEC_VERSION_INT != LIBAVFORMAT_VERSION_INT
  98. - #error "FFMPEG libraries mismatch"
  99. - #endif
  100. -
  101. - #if LIBAVCODEC_VERSION_INT != 0x000408
  102. + #if LIBAVCODEC_VERSION_INT < 0x000408
  103. #error "AVview now requires ffmpeg 0.4.8"
  104. #endif
  105. @@ -10393,7 +10463,7 @@
  106. { (exit 1); exit 1; }; }
  107. fi
  108. -if ! test "$TCL_VERSION $TK_VERSION" = "8.4 8.4" ; then
  109. +if ! test "${TCL_VERSION:0:3} ${TK_VERSION:0:3}" = "8.4 8.4" ; then
  110. { { echo "$as_me:$LINENO: error: AVview requires Tcl/Tk 8.4.x" >&5
  111. echo "$as_me: error: AVview requires Tcl/Tk 8.4.x" >&2;}
  112. { (exit 1); exit 1; }; }
  113. diff -dur avview-0.80.7/configure.in src.avview.1137267026.31409.4073770048/avview-0.80.7/configure.in
  114. --- avview-0.80.7/configure.in 2005-11-12 14:25:56.000000000 +0100
  115. +++ src.avview.1137267026.31409.4073770048/avview-0.80.7/configure.in 2006-01-14 21:04:03.000000000 +0100
  116. @@ -48,11 +48,12 @@
  117. AC_CHECK_LIB([asound], [snd_card_get_name])
  118. AC_CHECK_LIB([lirc_client], [lirc_init])
  119. -echo "The libraries mp3lame, ogg, vorbis and vorbisenc might be required by ffmpeg"
  120. +echo "The libraries faac, mp3lame, ogg, vorbis and vorbisenc might be required by ffmpeg"
  121. AC_CHECK_LIB([mp3lame], [lame_encode_buffer])
  122. AC_CHECK_LIB([ogg], [oggpack_write])
  123. AC_CHECK_LIB([vorbis], [vorbis_book_init_encode])
  124. AC_CHECK_LIB([vorbisenc], [vorbis_encode_init])
  125. +AC_CHECK_LIB([faac], [faacEncOpen])
  126. #
  127. #
  128. @@ -165,11 +166,7 @@
  129. #include "avcodec.h"
  130. #include "avformat.h"
  131. - #if LIBAVCODEC_VERSION_INT != LIBAVFORMAT_VERSION_INT
  132. - #error "FFMPEG libraries mismatch"
  133. - #endif
  134. -
  135. - #if LIBAVCODEC_VERSION_INT != 0x000408
  136. + #if LIBAVCODEC_VERSION_INT < 0x000408
  137. #error "AVview now requires ffmpeg 0.4.8"
  138. #endif
  139. @@ -220,7 +217,7 @@
  140. AC_MSG_ERROR([can not find X11])
  141. fi
  142. -if ! test "$TCL_VERSION $TK_VERSION" = "8.4 8.4" ; then
  143. +if ! test "${TCL_VERSION:0:3} ${TK_VERSION:0:3}" = "8.4 8.4" ; then
  144. AC_MSG_ERROR([AVview requires Tcl/Tk 8.4.x])
  145. fi